more devel packages need to be installed

Danilo Cesar Lemes de Paula danilo.eu at gmail.com
Wed Sep 4 10:10:50 UTC 2013


On Wed 04 Sep 2013 02:06:37 PM BRT, Cristian Ionescu-Idbohrn wrote:
> On Wed, 4 Sep 2013, Danilo Cesar Lemes de Paula wrote:
>> On Wed 04 Sep 2013 13:22:43 BRT, Cristian Ionescu-Idbohrn wrote:
>>> On debian (and derivatives):
>>>
>>> 	libqtwebkit-dev
>>>
>>> Compile error:
>>>
>>> ,----
>>> |     CXX qt-gui.cpp
>>> | In file included from qt-gui.cpp:22:0:
>>> | qt-ui/mainwindow.h:10:23: fatal error: QMainWindow: No such file or directory
>>> |  #include <QMainWindow>
>>> | 		       ^
>>> | compilation terminated.
>>> `----
>>>
>>> Where's QMainWindow coming from?
>>
>> libqt4-dev if you use debian.
>
> Got that installed:
>
> ,----
> | Package: libqt4-dev
> | Status: install ok installed
> | Priority: optional
> | Section: libdevel
> | Installed-Size: 12006
> | Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>
> | Architecture: amd64
> | Source: qt4-x11
> | Version: 4:4.8.5+dfsg-4
> | Depends: libqt4-dbus (= 4:4.8.5+dfsg-4),
> | libqt4-declarative(= 4:4.8.5+dfsg-4), libqt4-designer (= 4:4.8.5+dfsg-4),
> | libqt4-dev-bin(= 4:4.8.5+dfsg-4), libqt4-help (= 4:4.8.5+dfsg-4),
> | libqt4-network(= 4:4.8.5+dfsg-4), libqt4-qt3support (= 4:4.8.5+dfsg-4),
> | libqt4-script (= 4:4.8.5+dfsg-4), libqt4-scripttools (= 4:4.8.5+dfsg-4),
> | libqt4-sql (= 4:4.8.5+dfsg-4), libqt4-svg (= 4:4.8.5+dfsg-4),
> | libqt4-test (= 4:4.8.5+dfsg-4), libqt4-xml (= 4:4.8.5+dfsg-4),
> | libqt4-xmlpatterns (= 4:4.8.5+dfsg-4), libqtcore4 (= 4:4.8.5+dfsg-4),
> | libqtgui4 (= 4:4.8.5+dfsg-4), qt4-linguist-tools (= 4:4.8.5+dfsg-4),
> | qt4-qmake (= 4:4.8.5+dfsg-4), qtchooser
> | Recommends: libqt4-opengl-dev (= 4:4.8.5+dfsg-4), libqtwebkit-dev
> | (>= 2.0~)
> | Suggests: firebird-dev, libmysqlclient-dev, libpq-dev, libsqlite0-dev,
> | libsqlite3-dev, qt4-dev-tools, qt4-doc, unixodbc-dev
> | Description: Qt 4 development files
> |  Qt is a cross-platform C++ application framework. Qt's primary feature
> |  is its rich set of widgets that provide standard GUI functionality.
> |  .
> |  This package contains the header development files used for building Qt 4
> |  applications.
> `----
>
> Still, no joy :(
>

(master)[danilo at docbrown subsurface]$ dpkg -S 
/usr/include/qt4/QtGui/QMainWindow
libqt4-dev: /usr/include/qt4/QtGui/QMainWindow

Is it your first time building subsurface? What exactly are you doing?



More information about the subsurface mailing list